# $Revision: 1.66 $, $Date: 2011/02/20 07:11:04 $
# TODO
# - make R: mozilla-firefox something generic (it uses X11 and remote.c to find
#   browser window to send openURL(%s, %s) command there)
%define		rel	21
Summary:	Network audit tools
Summary(pl.UTF-8):	Narzędzia do kontroli sieci
Name:		dsniff
Version:	2.4
Release:	0.b1.%{rel}
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.monkey.org/~dugsong/dsniff/beta/%{name}-%{version}b1.tar.gz
# Source0-md5:	2f761fa3475682a7512b0b43568ee7d6
Patch0:		%{name}-ac.patch
Patch1:		%{name}-libnet1.patch
Patch2:		%{name}-clk_tck.patch
Patch3:		%{name}-openssl-0.9.8.patch
# ggsniff 1.2 from http://ggsniff.sourceforge.net/
#Patch3:	%{name}-gg.patch
URL:		http://www.monkey.org/~dugsong/dsniff/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	db-devel
BuildRequires:	glibc-static
BuildRequires:	libnet1-devel
BuildRequires:	libnids-devel
BuildRequires:	libpcap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	xorg-lib-libXmu-devel
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libX11-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%description -l pl.UTF-8
Narzędzia do kontroli sieci oraz demonstracji braku zabezpieczeń w
nieszyfrowanych protokołach sieciowych. Proszę nie nadużywać tego
oprogramowania.

%package webspy
Summary:	Network audit tools
Summary(pl.UTF-8):	Narzędzia do kontroli sieci
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
%if "%{pld_release}" == "ac"
Requires:	mozilla-firefox
%else
Requires:	iceweasel
%endif

%description webspy
webspy sends URLs sniffed from a client to your local Mozilla browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Mozilla must be running on your
local X display ahead of time.

%description webspy -l pl.UTF-8
webspy przesyła podsłuchane URL-e do wyświetlenia w lokalnie
uruchomionej przeglądarce Mozilla. Adresy są uaktualniane na bieżąco
(a więc przegląda się strony równolegle z podsłuchiwanym). Mozilla
musi być wcześniej uruchomiona na lokalnym serwerze X.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__autoheader}
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -I./missing"
%configure \
	--libdir=%{_datadir}/%{name}
sed -i -e 's#-L/usr/lib64 # #g' -e 's#-L/usr/lib # #g' Makefile
%{__make} libmissing.a all

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_sbindir}/[a-u]*
%attr(755,root,root) %{_sbindir}/webmitm
%{_datadir}/%{name}
%{_mandir}/man8/[a-u]*
%{_mandir}/man8/webmitm*

%files webspy
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/webspy
%{_mandir}/man8/webspy*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dsniff.spec,v $
Revision 1.66  2011/02/20 07:11:04  arekm
- release 21

Revision 1.65  2010/11/08 18:47:07  shadzik
- rel .20

Revision 1.64  2010/08/24 18:10:59  hawk
- release 19

Revision 1.63  2010/04/11 11:11:44  arekm
- rel 18; first build libmissing.a

Revision 1.62  2010/04/11 10:30:46  arekm
- rel 17

Revision 1.61  2010/04/11 06:26:58  arekm
- release 16

Revision 1.60  2010/04/09 11:57:07  jasw
- add missing BR

Revision 1.59  2010/04/08 12:47:11  arekm
- release 15

Revision 1.58  2010/04/03 17:18:39  glen
- release 14

Revision 1.57  2008/08/27 22:31:58  glen
- iceweasel for th; rel 13

Revision 1.56  2008/08/18 20:54:55  glen
- release 12 (db 4.2 rebuild)

Revision 1.55  2008/08/09 22:25:27  arekm
- release 11

Revision 1.54  2008/07/24 21:03:37  glen
- BR: cpp; rel 10

Revision 1.53  2008/07/24 18:24:03  glen
- AC compatible

Revision 1.52  2008/06/14 10:16:37  arekm
- rel .9

Revision 1.51  2007-09-23 16:07:32  arekm
- drop -L/usr/lib...

Revision 1.50  2007/07/26 17:04:44  arekm
- rel 8; rebuild with new db4.6

Revision 1.49  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.47  2006/12/08 14:27:38  glen
- R: mozilla-firefox not mozilla

Revision 1.46  2006/12/08 14:26:19  glen
- relup friendly rel

Revision 1.45  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.44  2006/08/27 10:41:18  arekm
- rebuild

Revision 1.43  2006/08/09 06:47:39  arekm
- up to 0.b1.5

Revision 1.42  2006/04/23 16:40:55  areq
- add openssl-0.9.8.patch

Revision 1.41  2006/04/06 19:47:17  arekm
- TH br xorg-lib-libX11

Revision 1.40  2005/06/20 11:50:47  qboosh
- sorted BRs, updated descs (Mozilla, not Netscape Navigator)

Revision 1.39  2005/06/20 09:06:11  qboosh
- gpm-friendly Source0 URL, strict internal dep

Revision 1.38  2004/12/10 03:32:58  domelu
- URL fix

Revision 1.37  2004/08/07 01:29:26  havner
- rel 4

Revision 1.36  2004/08/06 21:53:38  arekm
- mozilla instead of netscape

Revision 1.35  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.34  2003/12/06 09:29:37  matkor
- Release 2 (ac). Rebuild with db-4.2.50 libs.

Revision 1.33  2003/11/08 21:59:03  arekm
- updated to 2.4b1

Revision 1.32  2003/09/30 20:36:07  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.31  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.30  2003/07/03 20:59:42  areq
- BuildRequires:        libnet1-devel
- add libnet1.patch

Revision 1.29  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:46:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/03/16 10:27:03  areq
- BuildRequires:        db-devel

Revision 1.26  2003/02/13 14:02:03  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.25  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.24  2002/11/05 22:16:01  alchemyx
- added missing buildrequires for db3-devel

Revision 1.23  2002/11/05 00:11:23  areq
- update ggsniff patch 1.2
- release 8

Revision 1.22  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/09/11 22:31:58  mick3y
- added GG messages sniff support

Revision 1.20  2002/08/04 15:19:21  areq
- Release 6, STBR
- add ac.pach - remove LIBOBJS

Revision 1.19  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/25 16:13:52  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/10 18:40:15  qboosh
- s/bierząc/bieżąc/ in pl descriptions

Revision 1.14  2001/10/03 14:59:07  qboosh
- BuildRequires: autoconf, automake

Revision 1.13  2001/08/20 09:11:04  agaran
ac25 ready

Revision 1.12  2001/07/23 09:29:33  kloczek
- release 5.

Revision 1.11  2001/07/20 10:10:25  migo
- fixed pl description: "-l -l" to "-l pl"
- added pl description do webspy
- webspy requires netscape-navigator

Revision 1.10  2001/05/10 13:46:03  misiek
fixed (removed all etc references)

Revision 1.9  2001/05/10 07:57:37  misiek
there was no etc patch

Revision 1.8  2001/05/10 07:41:13  misiek
- BuildRequires:	openssl-devel >= 0.9.6a
- release 3

Revision 1.7  2001/04/13 06:06:45  kloczek
- release 3: added using %%{rpmcflags} macro.

Revision 1.6  2001/04/11 21:54:02  misiek
removed duplicate buildrequires

Revision 1.5  2000/12/29 15:30:58  kloczek
- spec adapterized.

Revision 1.4  2000/12/28 14:57:00  baggins
- release 2
- moved webspy to a separate package (X11 dependency, ugh)
- buildrequires glibc-static

Revision 1.3  2000/12/20 23:16:28  misiek
updated to 2.3 version

Revision 1.2  2000/11/20 22:36:43  misiek
full source0 url

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
